IntegrationsKlaviyo

Get one campaign message.

POST
/integrations/connections/{connection_id}/providers/klaviyo/campaign-messages/get

Get one campaign message.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/klaviyo/campaign-messages/get" \  -H "Content-Type: application/json" \  -d '{    "campaign_message_id": "example"  }'
{  "campaign_message_id": "example",  "campaign_id": "example",  "channel": "example",  "label": "Customer documents",  "content": {    "subject": "example",    "preview_text": "example",    "from_email": "example",    "from_label": "example",    "reply_to_email": "example",    "cc_email": "example",    "bcc_email": "example",    "body": "example",    "media_url": "example",    "title": "Approve supplier payment"  },  "render_options": {    "shorten_links": false,    "add_org_prefix": false,    "add_info_link": false,    "add_opt_out_language": false  },  "template_id": "example",  "send_times": [],  "created_at": "example",  "updated_at": "example"}